Subject: bird 2.2

From: [email-masked] (Jon Powell)
Date: Tue, 26 Apr 94 10:06:36 PDT

I read the 1.1x unofficial spec. I sure hope I pass.
JNP

                 Buffer Issue Resolution Document  (BIRD)

BIRD ID#:      2.2
ISSUE TITLE:   Requiring VIH VIL thresholds for input devices
REQUESTOR:     Jon Powell, Quad Desgin

DATE SUBMITTED:                       4/26/94
DATE ACCEPTED BY IBIS OPEN FORUM:     {will be filled in when accepted}

*******************************************************************************
*******************************************************************************

STATEMENT OF THE ISSUE:

The V1.1 IBIS specification does not require the presence of input
thresholds on input devices. This allows data-generators to omit
thresholds and still create "IBIS LEGAL" models. Input devices with no
stated digital logic input thresholds do not allow for the calculation
of digital pin-to-pin delays which is a very important quantity to
many potential IBIS customers. Requiring a low and high threshold for
all digital input devices is therefor a reasonable requirement that
adds information without creating undo restrictions.

A secondary issue in Differential Input Thresholds is also addressed.

*******************************************************************************

STATEMENT OF THE RESOLVED SPECIFICATIONS:

intent: 

modify the definition of Vinl and Vinh to require threshold 
definition for certain [Model] types.

method:

1) Add the following model type:  

Load

2) Add the following description of "Load": 

A "Load" is an input only device that can have analog loading effects
on the circuit being simulated but has no digital logic thresholds.
Examples of "Loads" are: Capacitors, Termination Diodes, Pullup
resistors etc.

NOTE TO IBIS COMITTEE: I believe that all of the above "Loads" can be defined inside
of the current IBIS specification JNP. I understand that there are other efforts in
effect to expand this definition but those definitions should be able to supercede
"Load" with no significant effect on this bird.

3) Add the following requirements to [Model]: 

The model types Input, I/O, I/O_open_drain, I/O_open_sink,
I/O_open_soure must have Vinl and Vinh defined. If
they are not defined, the parser will issue a warning and the default
values of Vinl=.8V and Vinh=2.0V will be assumed.

The model types  Input_ECL and I/O_ECL must have Vinl and Vinh defined. If
they are not defined, the parser will issue a warning and the default
values of Vinl=-1.475V and Vinh=-1.165V will be assumed.

NOTE TO IBIS COMITTEE: ECL defaults derived from FAIRCHILD F100K ECL
data book specification of Guaranteed input HIGH and LOW.

4) The following is added to the differential specification to clarify
Differential input threshold:

If a pin is a differential input pin the differential input threshold
(vdiff) overrides and supercedes the need for Vinh and Vinl. 

If vdiff is not defined for a pin that is defined as requiring a Vinh by
its [Model] type, the parser will issue a warning and vdiff will be set to
the default value of 200mV.

5) The golden parser must be modified to allow (1) and (4) and check for (3) and (4).

*******************************************************************************

ANALYSIS PATH/DATA THAT LED TO SPECIFICATION:

Although it makes sense to require input thresholds for all of the [Model] types
currently in the IBIS specification, it also makes sense for there to be devices
that have no digital logic threshold.

*******************************************************************************

ANY OTHER BACKGROUND INFORMATION:

The section on DIFFERENTIAL can be struck if there is argument, but note that
we currently have overlapping defintions of input Thresholds on differential
input pins.

*******************************************************************************